# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------

from ._models_py3 import AnalysisInput
from ._models_py3 import AnalyzeBatchInput
from ._models_py3 import AnalyzeJobDisplayName
from ._models_py3 import AnalyzeJobErrorsAndStatistics
from ._models_py3 import AnalyzeJobMetadata
from ._models_py3 import AnalyzeJobState
from ._models_py3 import DetectedLanguage
from ._models_py3 import DocumentEntities
from ._models_py3 import DocumentError
from ._models_py3 import DocumentHealthcareEntities
from ._models_py3 import DocumentKeyPhrases
from ._models_py3 import DocumentLanguage
from ._models_py3 import DocumentLinkedEntities
from ._models_py3 import DocumentSentiment
from ._models_py3 import DocumentStatistics
from ._models_py3 import EntitiesResult
from ._models_py3 import EntitiesTask
from ._models_py3 import EntitiesTaskParameters
from ._models_py3 import EntitiesTaskResult
from ._models_py3 import Entity
from ._models_py3 import EntityLinkingResult
from ._models_py3 import EntityLinkingTask
from ._models_py3 import EntityLinkingTaskParameters
from ._models_py3 import EntityLinkingTaskResult
from ._models_py3 import ErrorResponse
from ._models_py3 import HealthcareAssertion
from ._models_py3 import HealthcareEntity
from ._models_py3 import HealthcareEntityLink
from ._models_py3 import HealthcareEntityProperties
from ._models_py3 import HealthcareJobState
from ._models_py3 import HealthcareLinkingProperties
from ._models_py3 import HealthcareRelation
from ._models_py3 import HealthcareRelationEntity
from ._models_py3 import HealthcareResult
from ._models_py3 import HealthcareTaskResult
from ._models_py3 import InnerError
from ._models_py3 import JobDescriptor
from ._models_py3 import JobManifest
from ._models_py3 import JobManifestTasks
from ._models_py3 import JobMetadata
from ._models_py3 import KeyPhraseResult
from ._models_py3 import KeyPhraseTaskResult
from ._models_py3 import KeyPhrasesTask
from ._models_py3 import KeyPhrasesTaskParameters
from ._models_py3 import LanguageBatchInput
from ._models_py3 import LanguageInput
from ._models_py3 import LanguageResult
from ._models_py3 import LinkedEntity
from ._models_py3 import Match
from ._models_py3 import MultiLanguageBatchInput
from ._models_py3 import MultiLanguageInput
from ._models_py3 import Pagination
from ._models_py3 import PiiDocumentEntities
from ._models_py3 import PiiResult
from ._models_py3 import PiiTask
from ._models_py3 import PiiTaskParameters
from ._models_py3 import PiiTaskResult
from ._models_py3 import RequestStatistics
from ._models_py3 import SentenceAssessment
from ._models_py3 import SentenceSentiment
from ._models_py3 import SentenceTarget
from ._models_py3 import SentimentAnalysisTask
from ._models_py3 import SentimentAnalysisTaskParameters
from ._models_py3 import SentimentConfidenceScorePerLabel
from ._models_py3 import SentimentResponse
from ._models_py3 import SentimentTaskResult
from ._models_py3 import TargetConfidenceScoreLabel
from ._models_py3 import TargetRelation
from ._models_py3 import TaskState
from ._models_py3 import TasksState
from ._models_py3 import TasksStateTasks
from ._models_py3 import TasksStateTasksEntityLinkingTasksItem
from ._models_py3 import TasksStateTasksEntityRecognitionPiiTasksItem
from ._models_py3 import TasksStateTasksEntityRecognitionTasksItem
from ._models_py3 import TasksStateTasksKeyPhraseExtractionTasksItem
from ._models_py3 import TasksStateTasksSentimentAnalysisTasksItem
from ._models_py3 import TextAnalyticsError
from ._models_py3 import TextAnalyticsWarning


from ._text_analytics_client_enums import (
    Association,
    Certainty,
    Conditionality,
    DocumentSentimentValue,
    ErrorCodeValue,
    HealthcareEntityCategory,
    InnerErrorCodeValue,
    PiiCategory,
    PiiTaskParametersDomain,
    RelationType,
    SentenceSentimentValue,
    State,
    StringIndexType,
    TargetRelationType,
    TokenSentimentValue,
    WarningCodeValue,
)
from ._patch import __all__ as _patch_all
from ._patch import *  # type: ignore # pylint: disable=unused-wildcard-import
from ._patch import patch_sdk as _patch_sdk
__all__ = [
    'AnalysisInput',
    'AnalyzeBatchInput',
    'AnalyzeJobDisplayName',
    'AnalyzeJobErrorsAndStatistics',
    'AnalyzeJobMetadata',
    'AnalyzeJobState',
    'DetectedLanguage',
    'DocumentEntities',
    'DocumentError',
    'DocumentHealthcareEntities',
    'DocumentKeyPhrases',
    'DocumentLanguage',
    'DocumentLinkedEntities',
    'DocumentSentiment',
    'DocumentStatistics',
    'EntitiesResult',
    'EntitiesTask',
    'EntitiesTaskParameters',
    'EntitiesTaskResult',
    'Entity',
    'EntityLinkingResult',
    'EntityLinkingTask',
    'EntityLinkingTaskParameters',
    'EntityLinkingTaskResult',
    'ErrorResponse',
    'HealthcareAssertion',
    'HealthcareEntity',
    'HealthcareEntityLink',
    'HealthcareEntityProperties',
    'HealthcareJobState',
    'HealthcareLinkingProperties',
    'HealthcareRelation',
    'HealthcareRelationEntity',
    'HealthcareResult',
    'HealthcareTaskResult',
    'InnerError',
    'JobDescriptor',
    'JobManifest',
    'JobManifestTasks',
    'JobMetadata',
    'KeyPhraseResult',
    'KeyPhraseTaskResult',
    'KeyPhrasesTask',
    'KeyPhrasesTaskParameters',
    'LanguageBatchInput',
    'LanguageInput',
    'LanguageResult',
    'LinkedEntity',
    'Match',
    'MultiLanguageBatchInput',
    'MultiLanguageInput',
    'Pagination',
    'PiiDocumentEntities',
    'PiiResult',
    'PiiTask',
    'PiiTaskParameters',
    'PiiTaskResult',
    'RequestStatistics',
    'SentenceAssessment',
    'SentenceSentiment',
    'SentenceTarget',
    'SentimentAnalysisTask',
    'SentimentAnalysisTaskParameters',
    'SentimentConfidenceScorePerLabel',
    'SentimentResponse',
    'SentimentTaskResult',
    'TargetConfidenceScoreLabel',
    'TargetRelation',
    'TaskState',
    'TasksState',
    'TasksStateTasks',
    'TasksStateTasksEntityLinkingTasksItem',
    'TasksStateTasksEntityRecognitionPiiTasksItem',
    'TasksStateTasksEntityRecognitionTasksItem',
    'TasksStateTasksKeyPhraseExtractionTasksItem',
    'TasksStateTasksSentimentAnalysisTasksItem',
    'TextAnalyticsError',
    'TextAnalyticsWarning',
    'Association',
    'Certainty',
    'Conditionality',
    'DocumentSentimentValue',
    'ErrorCodeValue',
    'HealthcareEntityCategory',
    'InnerErrorCodeValue',
    'PiiCategory',
    'PiiTaskParametersDomain',
    'RelationType',
    'SentenceSentimentValue',
    'State',
    'StringIndexType',
    'TargetRelationType',
    'TokenSentimentValue',
    'WarningCodeValue',
]
__all__.extend([p for p in _patch_all if p not in __all__])
_patch_sdk()